> ## Documentation Index
> Fetch the complete documentation index at: https://docs.electronhub.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Decisions

> Recent routing decisions, newest first. Page with `next_cursor`.



## OpenAPI

````yaml GET /router/decisions
openapi: 3.0.1
info:
  title: Electron Hub API
  description: >-
    Unified API platform integrating 200+ AI models for chat, image generation,
    speech-to-text, embeddings, and more.
  version: 1.0.0
  contact:
    name: Electron Hub Support
    email: support@electronhub.ai
    url: https://discord.com/invite/electronhub
  license:
    name: MIT
servers:
  - url: https://api.electronhub.ai/v1
    description: Production API v1
security:
  - bearerAuth: []
paths:
  /router/decisions:
    get:
      tags:
        - Router
      summary: List decisions
      description: Recent routing decisions, newest first. Page with `next_cursor`.
      operationId: listRouterDecisions
      parameters:
        - name: surface
          in: query
          schema:
            type: string
            enum:
              - chat
              - agents
              - api
        - name: model
          in: query
          schema:
            type: string
        - name: blocked
          in: query
          schema:
            type: boolean
        - name: from
          in: query
          schema:
            type: string
            format: date-time
        - name: to
          in: query
          schema:
            type: string
            format: date-time
        - name: cursor
          in: query
          schema:
            type: string
        - name: limit
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 200
            default: 50
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                  next_cursor:
                    type: string
                    nullable: true
              example:
                items:
                  - decisionId: rdec_be9434a77bff0385a2369c1d
                    at: '2026-11-08T07:34:18.527515Z'
                    surface: api
                    agentic: false
                    trigger: explicit
                    requested: auto/cached
                    policyId: cached
                    mode: auto
                    costTier: medium
                    turn: null
                    newWork: false
                    classifier:
                      source: skipped
                      ms: 0
                    routerFeeUsd: 0
                    model: muse-spark-1.3-contributor
                    blocked: false
                    fromCache: true
                    reason: Served from cache.
                next_cursor: 1794123258417_rdec_b43f3798bf3c0b80583c99a1
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error:
                  message: Body must be an object.
                  type: invalid_request_error
                  param: null
                  code: 400
        '403':
          description: Proxy keys cannot manage Router settings
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error:
                  message: Only master keys can manage Router settings.
                  type: error
                  param: null
                  code: 403
components:
  schemas:
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
            type:
              type: string
            code:
              type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Enter your API key (starts with 'ek-')

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.